#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x80,0xAA,0x49,0x69,0x0F,0xAB,0x09,0x11,0x44,0x92,0xC6,0xE7,
		0xC5,0xD4,0x3C,0xEB,0x51,0xEC,0xB7,0x97,0xE9,0xD1,0x15,0x41,
		0x77,0xB6,0x3F,0x48,0xCF,0xB2,0xEF,0x8A,0x25,0x51,0x8E,0x01,
		0x5E,0xFF,0xBA,0xF4,0x83,0x9E,0xFA,0xA6,0x1E,0x61,0x27,0x31,
		0x83,0xC3,0xFD,0xC3,0x05,0xB1,0x25,0xB1,0xCE,0x11,0xB0,0x35,
		0xD4,0x89,0xE7,0xEF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
